MPLABX-v3.55-windows-installer.exe wil niet op Windows7 installeren

Na jaren PICkit2 te hebben gehad icm MPLAB_IDE_v8.15a op mijn Windows7 Home_Premium PC met SP1_Build7601 nu ook de PICkit3 gekocht.

De programmer werkt al goed met "PICkit3 Programmer Application Setup v3.10".

Van www.microchip.com/mplab/mplab-x-ide MPLABX-v5.30 en v3.55 geprobeerd te installeren maar krijg volgende melding:
"De versie van dit bestand is niet compatible met de Windows-versie die wordt uitgevoerd.
Controleer de systeeminformatie van uw computer of u een x86(32bits) of x64(64bits) versie van het programma nodig hebt."

Hoe krijg ik recentste MPLAB nu draaiend?

buckfast_beekeeper

Golden Member

Mogelijk is je Win 7 het probleem. Wordt ook niet langer meer ondersteund door microschoft. Mogelijk zijn er bepaalde zaken niet aanwezig die in latere versies wel aanwezig zijn. Als de software daar gebruik van maakt heb je inderdaad een probleem.

Verder is het toch niet zo moeilijk te weten of je een 32 of een 64-bit OS hebt.

Honing kan je importeren, bestuiving niet.

Mijn Windows7 is 64bits.
Ik zie echter bij het downloaden van MPLABX geen keuze voor 32 of 64 bits.

buckfast_beekeeper

Golden Member

Java JRE 8 geïnstalleerd?

edit:Ik vind zo direct geen minimum requirements.

edit 2: gevonden

[Bericht gewijzigd door buckfast_beekeeper op 16 januari 2020 10:19:14 (38%)]

Honing kan je importeren, bestuiving niet.

Mijn pc (minimum requirements):
µP i7 (i5)
RAM 16Gb (1Gb)
SSD 134Gb (1,5Gb)
Windows7 Home_Premium (Professional)
(Kan dit een probleem zijn?)

Java JRE ???? (JRE ?)

In DOSprompt "java -version" of "java.exe -version" of "javac --version" geven melding: "java wordt niet herkend..."

Moet ik die downloaden van "https://profile.oracle.com" of "www.java.com"?

buckfast_beekeeper

Golden Member

Java JRE is de Java Runtime Environment. Nodig om Java te kunnen gebruiken (niet verwarren met javascript). Je hebt ook nog de JDK (of Java Development Kit) deze omvat ook de onderdelen om zelf java programma's te schrijven.

De JRE 8 kan je hier downloaden.

Honing kan je importeren, bestuiving niet.

Als je de laatste 'echte' MPLab versie gebruikt (MPLab 8.92), dan heb je die java-troep niet nodig...

Arco - "Simplicity is a prerequisite for reliability" - www.arcovox.com

@Arco: Is goed om te weten over MPLAB8.92, bedankt.
Ik wil graag gaan experimenteren met " MPLAB Harmony", "MPLAB Code Configurator" etc. waarbij nieuwste versie MPLAB het meeste up-to-date is.

@buckfast_beekeeper:
Ik heb JRE8 nu geïnstalleerd en geverifieerd met DOSprompt "java -version" en wordt herkend.

MPLABX-v5.30 en v3.55 geprobeerd te installeren maar krijg nog steeds dezelfde melding:
"De versie van dit bestand is niet compatible met de Windows-versie die wordt uitgevoerd.
Controleer de systeeminformatie van uw computer of u een x86(32bits) of x64(64bits) versie van het programma nodig hebt."

Kan Windows7 Home_Premium ipv Professional het probleem zijn?

Windows 7 updaten naar 10 ?

Wie de vraag stelt, zal met het antwoord moeten leren leven.
buckfast_beekeeper

Golden Member

Op 16 januari 2020 20:00:08 schreef Arco:
Als je de laatste 'echte' MPLab versie gebruikt (MPLab 8.92), dan heb je die java-troep niet nodig...

Is die versie compatibel met Win 7 Home? Bij minimum requirements van de 5.3 staat helaas professional. Het zou me verwonderen dat ze het nu met minder gaan doen.

@AlienPaul: Home/Professional zou wel eens de boosdoener kunnen zijn. Hoewel je op het Microchip forum terug vindt dat het niet echt een verschil maakt.

Honing kan je importeren, bestuiving niet.

Ik gebruik 't op W7 Home en W7 Ultimate, geen probleem...

Arco - "Simplicity is a prerequisite for reliability" - www.arcovox.com

Op 17 januari 2020 21:56:11 schreef buckfast_beekeeper:
@AlienPaul: Home/Professional zou wel eens de boosdoener kunnen zijn. Hoewel je op het Microchip forum terug vindt dat het niet echt een verschil maakt.

Is er iemand die het wel lukt om op...
Windows7_Home
MPLABX_IDE_v5.30 for Windows(x86/x64)
https://www.microchip.com/mplab/mplab-x-ide
kan starten zonder direct mijn error te krijgen?
Hoeft niet verder te gaan met installeren als het geen error geeft.

Ik heb m.b.v. Windows Anytime Upgrade versie Windows7_Professional geïnstalleerd.
Ik krijg nog steeds dezelfde error melding.
D.w.z. dat het dus niet aan de Windows7 versie ligt.